<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Wed Aug 14 16:16:23 CEST 2019 -->
<title>AbstractBasicRecord (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-08-14">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractBasicRecord (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.model.records.archetypes</a></div>
<h2 title="Class AbstractBasicRecord" class="title">Class AbstractBasicRecord</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.model.records.archetypes.AbstractBasicRecord</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../../ConvertableToRecDoc.html" title="interface in bous.philipp.dblp.datatools.model">ConvertableToRecDoc</a></code>, <code><a href="../../FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.model">FeatureHolder</a></code>, <code><a href="RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.model.records.archetypes">RecordArchetype</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="ArxivRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">ArxivRecord</a></code>, <code><a href="BLThesisRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">BLThesisRecord</a></code>, <code><a href="PlosOneRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">PlosOneRecord</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">AbstractBasicRecord</span>
extends java.lang.Object
implements <a href="RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.model.records.archetypes">RecordArchetype</a></pre>
<div class="block">Basic implementation of <a href="RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.model.records.archetypes"><code>RecordArchetype</code></a> as some basic fields will/should be present
 in nearly all implementations of RecordArchetype and some methods will barely ever change inside these implementations.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#abstractOfPublication">abstractOfPublication</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#authors">authors</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#categories">categories</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../../Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#features">features</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#id">id</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#originalId">originalId</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#POSITION_CUT_LEVEL">POSITION_CUT_LEVEL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#title">title</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AbstractBasicRecord</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addFeature(bous.philipp.dblp.datatools.model.Feature)">addFeature</a></span>&#8203;(<a href="../../Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&nbsp;feature)</code></th>
<td class="colLast">
<div class="block">Adds a feature.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFeatureList()">getFeatureList</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all features of a FeatureHolder as a List.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../RecordDocument.html" title="class in bous.philipp.dblp.datatools.model">RecordDocument</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toRecordDocument()">toRecordDocument</a></span>()</code></th>
<td class="colLast">
<div class="block">Converts the given AbstractBasicRecord-implementation to a <a href="../../RecordDocument.html" title="class in bous.philipp.dblp.datatools.model"><code>RecordDocument</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="POSITION_CUT_LEVEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>POSITION_CUT_LEVEL</h4>
<pre>public static final&nbsp;int POSITION_CUT_LEVEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#bous.philipp.dblp.datatools.model.records.archetypes.AbstractBasicRecord.POSITION_CUT_LEVEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>protected&nbsp;int id</pre>
</li>
</ul>
<a id="categories">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>categories</h4>
<pre>protected&nbsp;java.lang.String categories</pre>
</li>
</ul>
<a id="title">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>title</h4>
<pre>protected&nbsp;java.lang.String title</pre>
</li>
</ul>
<a id="abstractOfPublication">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>abstractOfPublication</h4>
<pre>protected&nbsp;java.lang.String abstractOfPublication</pre>
</li>
</ul>
<a id="authors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>authors</h4>
<pre>protected&nbsp;java.lang.String authors</pre>
</li>
</ul>
<a id="originalId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>originalId</h4>
<pre>protected&nbsp;java.lang.String originalId</pre>
</li>
</ul>
<a id="features">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>features</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="../../Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt; features</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractBasicRecord</h4>
<pre>public&nbsp;AbstractBasicRecord()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="toRecordDocument()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toRecordDocument</h4>
<pre class="methodSignature">public&nbsp;<a href="../../RecordDocument.html" title="class in bous.philipp.dblp.datatools.model">RecordDocument</a>&nbsp;toRecordDocument()</pre>
<div class="block">Converts the given AbstractBasicRecord-implementation to a <a href="../../RecordDocument.html" title="class in bous.philipp.dblp.datatools.model"><code>RecordDocument</code></a>.
 ATTENTION: will always give the new RecordDocument a classification status of 0 (i.e. "UNKNOWN").
 If a class is known it has to be set separately! This is due to the fact that, by design, an implementation
 of AbstractBasicRecord or <a href="RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.model.records.archetypes"><code>RecordArchetype</code></a> should not care about its own hypothetical class.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../ConvertableToRecDoc.html#toRecordDocument()">toRecordDocument</a></code>&nbsp;in interface&nbsp;<code><a href="../../ConvertableToRecDoc.html" title="interface in bous.philipp.dblp.datatools.model">ConvertableToRecDoc</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the record-document</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a id="getFeatureList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFeatureList</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="../../Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;&nbsp;getFeatureList()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../FeatureHolder.html#getFeatureList()">FeatureHolder</a></code></span></div>
<div class="block">Gets all features of a FeatureHolder as a List.
 Any implementation should make sure that no features with a value equal to null will be included in the returned list!
 Furthermore remark that depending on implementation/context the feature-ids
 should be set to something meaningful (e.g. an incrementing index for a db).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../FeatureHolder.html#getFeatureList()">getFeatureList</a></code>&nbsp;in interface&nbsp;<code><a href="../../FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.model">FeatureHolder</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a List of features</dd>
</dl>
</li>
</ul>
<a id="addFeature(bous.philipp.dblp.datatools.model.Feature)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addFeature</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addFeature&#8203;(<a href="../../Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&nbsp;feature)</pre>
<div class="block">Adds a feature.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>feature</code> - the feature to be added</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
